purchaseAugmentation() Netscript Function
=========================================

.. js:function:: purchaseAugmentation(factionName, augName)

    :RAM cost: 5 GB

    :param string factionName: Name of faction to purchase Augmentation from. CASE-SENSITIVE
    :param string augName: Name of Augmentation to purchase. CASE-SENSITIVE


    If you are not in BitNode-4, then you must have Level 3 of Source-File 4 in order to use this function.

    This function will try to purchase the specified Augmentation through the given Faction.

    This function will return true if the Augmentation is successfully purchased, and false otherwise.
